View Issue Details

IDProjectCategoryView StatusLast Update
0000306CaseTalk ModelerRepositorypublic2016-05-15 14:04
ReporterBCP Software 
Assigned ToBCP Software 
PriorityhighSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version 
Target Version9.0Fixed in Version 
Summary0000306: Implement subdomain support
DescriptionCaseTalk already supports multiple models through different files and projects. This could be extended further by linking between them through the use of so-called namespaces.
Additional InformationEvery new IG file will receive it's own namespace (technically using a GUID).

Once an OTFT is re-used in another IG, the original namespace remains on that imported OTFT.

CaseTalk can now easily recognize OTFT's from this or another namespace. All OTFT's from another namespace are considered not-owned, and therefor readonly.

Before an analist may alter this OTFT it has to import it into it's own namespace. (Technically resetting it's GUID).

Querying over multiple namespaces can only be done through the Manager where all model files are stored. A reference table has to be implement in the Modeler though. It should contain the imported GUIDs and their originating IG filename. That way analists may locate the source namespace even without the use of the Manager.
TagsNo tags attached.

Relationships

related to 0000650 resolvedBCP Software CaseTalk Modeler Edit expression at object type level not possible 
parent of 0000457 resolvedBCP Software CaseTalk Modeler Export and import namespace identifier 
parent of 0000458 assignedBCP Software CaseTalk Manager Support for namespaces in Modeler 
parent of 0000461 assignedBCP Software CaseTalk Modeler Split OTFT into two 
parent of 0000462 assignedBCP Software CaseTalk Modeler Embed used namespaces in IG 
parent of 0000736 resolvedBCP Software CaseTalk Modeler Highlight OTFT's from external namespaces 
Not all the children of this issue are yet resolved or closed.

Activities

BCP Software

BCP Software

2014-04-04 13:50

administrator   ~0000267

Namespace tags should be maintained on expressions. The OTFT can than derive the possible namespaces it is in, by resolving the underlying expressions.
BCP Software

BCP Software

2014-04-07 12:49

administrator   ~0000271

import and export of IG's require extending to support namespaces in expressions.
BCP Software

BCP Software

2015-05-07 13:38

administrator   ~0000385

Last edited: 2016-05-15 14:04

View 2 revisions

- Expressions from an external namespace are visualized with a "locked" icon.

Issue History

Date Modified Username Field Change
2013-08-01 11:05 BCP Software New Issue
2013-08-01 11:05 BCP Software Status new => assigned
2013-08-01 11:05 BCP Software Assigned To => BCP Software
2014-04-04 13:50 BCP Software Note Added: 0000267
2014-04-04 13:51 BCP Software Target Version Future => 8.1
2014-04-04 18:08 BCP Software Relationship added parent of 0000457
2014-04-04 18:09 BCP Software Relationship added parent of 0000458
2014-04-07 12:49 BCP Software Note Added: 0000271
2014-04-07 14:30 BCP Software Relationship added parent of 0000461
2014-04-08 15:21 BCP Software Relationship added parent of 0000462
2014-10-31 13:50 BCP Software Target Version 8.1 => 9.0
2015-05-01 16:31 BCP Software Relationship added related to 0000650
2015-05-07 13:38 BCP Software Note Added: 0000385
2015-09-29 09:35 BCP Software Relationship added parent of 0000736
2016-05-15 14:02 BCP Software Status assigned => resolved
2016-05-15 14:02 BCP Software Fixed in Version => 8.8.1
2016-05-15 14:02 BCP Software Resolution open => fixed
2016-05-15 14:03 BCP Software Status resolved => assigned
2016-05-15 14:03 BCP Software Resolution fixed => open
2016-05-15 14:03 BCP Software Fixed in Version 8.8.1 =>
2016-05-15 14:04 BCP Software Note Edited: 0000385 View Revisions